Make WordPress Core

Opened 3 months ago

Last modified 8 weeks ago

#60690 new enhancement

Consistency in Theme Update Warnings in Menu

Reported by: marc4's profile Marc4 Owned by:
Milestone: Awaiting Review Priority: normal
Severity: normal Version:
Component: Menus Keywords:
Focuses: ui, administration Cc:

Description

When plugins are plugins pending update, a warning appears under "Plugins". However, even if are pending theme updates, the same warning does not appear under "Appearance".

Considering that the security issues of an outdated theme can be the same as those of an outdated plugin, I think we should display the same warning in both cases.

In the following image you can see a site with an outdated theme and plugin. At a glance you can only see a warning about "Plugins", but no warning about "Apparence", only inside "Apparence > Themes".

Although "Apparence" has no updates, it would be nice to have the same warning as in "Plugins".

I am attaching pictures to illustrate this.

Attachments (2)

before.jpg (46.9 KB) - added by Marc4 3 months ago.
after.jpg (10.8 KB) - added by Marc4 3 months ago.

Download all attachments as: .zip

Change History (4)

@Marc4
3 months ago

@Marc4
3 months ago

#1 @sabernhardt
8 weeks ago

  • Focuses administration added; accessibility removed

This ticket was mentioned in Slack in #accessibility by sabernhardt. View the logs.


8 weeks ago

Note: See TracTickets for help on using tickets.